set define off
set verify off
set serveroutput on size 1000000
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end; 
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040000 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,970913974062631));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2010.05.13');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,105);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

prompt  ...plugins
--
--application/shared_components/plugins/item_type/com_nesco_apex_plugins_multiselect_cblist
 
begin
 
wwv_flow_api.create_plugin (
  p_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'ITEM TYPE'
 ,p_name => 'COM.NESCO.APEX.PLUGINS.MULTISELECT_CBLIST'
 ,p_display_name => 'Multi-Select-Checkbox-List'
 ,p_category => 'COMPONENT'
 ,p_image_prefix => '#PLUGIN_PREFIX#'
 ,p_plsql_code => 
'-- renders a multi-selectlist with checkboxes and "All"-Selector.'||chr(10)||
'-- All html-object styles are customizable within the apex builder.'||chr(10)||
'-- NOTE!'||chr(10)||
'-- 1. Return-values will be substituted in an apex item. Please be aware that the length of substituted return-values should '||chr(10)||
'--    be greater than 4000 characters. Otherwise you got an rendering error!'||chr(10)||
'-- 2. For a correct "All"-Selector handling it was nec'||
'essary to use a special value ("-9") and set it at the beginning'||chr(10)||
'--    of the return string. So if you check your return value you''ll find the value "-9" if you''ve checked "All".'||chr(10)||
'-- 3. Setting Default-Values is not supported! But you can enable the "All"-selector as default (in Plugin-Settings section).'||chr(10)||
'function render_multi_select_cb_list('||chr(10)||
'    p_item                in apex_plugin.t_page_item,'||chr(10)||
'   '||
' p_plugin              in apex_plugin.t_plugin,'||chr(10)||
'    p_value               in varchar2,'||chr(10)||
'    p_is_readonly         in boolean,'||chr(10)||
'    p_is_printer_friendly in boolean )'||chr(10)||
'    return apex_plugin.t_page_item_render_result'||chr(10)||
'is'||chr(10)||
'  SUBTYPE LONG_VARCHAR2       IS VARCHAR2(32767);'||chr(10)||
'  '||chr(10)||
'  c_listval_delimiter         constant varchar2(4000) := nvl(p_plugin.attribute_01, '':'');'||chr(10)||
'  c_fieldset_style_string     varchar2(40'||
'00) := case when p_item.attribute_02 is null then null else '' style="''||p_item.attribute_02||''"'' end;'||chr(10)||
'  c_allcb_field_style_string  varchar2(4000) := case when p_item.attribute_03 is null then null else '' style="''||p_item.attribute_03||''"'' end;'||chr(10)||
'  c_allcb_label_style_string  varchar2(4000) := case when p_item.attribute_04 is null then null else '' style="''||p_item.attribute_04||''"'' end;'||chr(10)||
'  c_div_styl'||
'e_string          varchar2(4000) := case when p_item.attribute_05 is null then null else '' style="''||p_item.attribute_05||''"'' end;'||chr(10)||
'  c_cblist_field_style_string varchar2(4000) := case when p_item.attribute_06 is null then null else '' style="''||p_item.attribute_06||''"'' end;'||chr(10)||
'  c_cblist_label_style_string varchar2(4000) := case when p_item.attribute_07 is null then null else '' style="''||p_item.attrib'||
'ute_07||''"'' end;'||chr(10)||
'  c_add_label_style_string    varchar2(4000) := case when p_item.attribute_09 is null then null else '' style="''||p_item.attribute_09||''"'' end;'||chr(10)||
'  c_enable_all_default_string varchar2(4000) := p_item.attribute_10;'||chr(10)||
''||chr(10)||
'  l_additional_label_between  varchar2(100)  := p_item.attribute_08;'||chr(10)||
'  '||chr(10)||
'  -- constants for accessing our l_column_value_list array'||chr(10)||
'  c_display_column constant number := 1'||
';'||chr(10)||
'  c_return_column  constant number := 2;'||chr(10)||
'  c_all_selected   constant varchar2(10) := ''-9'';'||chr(10)||
''||chr(10)||
'  -- value without the lov null value'||chr(10)||
'  l_value             LONG_VARCHAR2 := case when p_value = p_item.lov_null_value then null else p_value end;'||chr(10)||
'  l_name              varchar2(30);'||chr(10)||
''||chr(10)||
'  l_checked_string    varchar2(50) := NULL;'||chr(10)||
'  l_value_found       boolean := false;'||chr(10)||
'  l_all_found         boolean := false'||
';'||chr(10)||
'  l_display_value     LONG_VARCHAR2;'||chr(10)||
'  l_is_selected       boolean := false;'||chr(10)||
'  l_column_value_list wwv_flow_plugin_util.t_column_value_list;'||chr(10)||
'  l_result            wwv_flow_plugin.t_page_item_render_result := NULL;'||chr(10)||
''||chr(10)||
'  function init_retval'||chr(10)||
'    return LONG_VARCHAR2'||chr(10)||
'  is'||chr(10)||
'    l_retval  LONG_VARCHAR2;'||chr(10)||
'  begin'||chr(10)||
'    l_retval := c_all_selected;'||chr(10)||
'    '||chr(10)||
'    -- loop through resultset'||chr(10)||
'    for i in 1 .. l_column'||
'_value_list(c_return_column).count'||chr(10)||
'    loop'||chr(10)||
'      if l_retval is not null then'||chr(10)||
'        l_retval := l_retval || c_listval_delimiter;'||chr(10)||
'      end if;'||chr(10)||
'      l_retval := l_retval || l_column_value_list(c_return_column)(i);'||chr(10)||
'    end loop;'||chr(10)||
'    '||chr(10)||
'    return l_retval;'||chr(10)||
'  end init_retval;'||chr(10)||
'  '||chr(10)||
'  function is_value_selected('||chr(10)||
'      p_display_value       in varchar2,'||chr(10)||
'      p_return_value        in varchar2,'||chr(10)||
'      p_c'||
'ompare_value_list  in varchar2 )'||chr(10)||
'    return boolean'||chr(10)||
'  is'||chr(10)||
'  begin'||chr(10)||
'    if l_all_found'||chr(10)||
'      or p_compare_value_list = p_return_value'||chr(10)||
'      or instr(p_compare_value_list, p_return_value||c_listval_delimiter) > 0'||chr(10)||
'      or instr(p_compare_value_list, c_listval_delimiter||p_return_value||c_listval_delimiter) > 0'||chr(10)||
'      or instr(p_compare_value_list, c_listval_delimiter||p_return_value) > 0'||chr(10)||
'    then'||chr(10)||
'     '||
' return true;'||chr(10)||
'    end if;'||chr(10)||
'    '||chr(10)||
'    return false;'||chr(10)||
'  end is_value_selected;'||chr(10)||
''||chr(10)||
'  procedure print_cb_option ('||chr(10)||
'      p_item_name           in varchar2,'||chr(10)||
'      p_display_value       in varchar2,'||chr(10)||
'      p_return_value        in varchar2,'||chr(10)||
'      p_compare_value_list  in varchar2 )'||chr(10)||
'  is'||chr(10)||
'    l_is_selected boolean := is_value_selected(p_display_value, p_return_value, p_compare_value_list);'||chr(10)||
'  begin'||chr(10)||
'    if not l_v'||
'alue_found and l_is_selected'||chr(10)||
'    then'||chr(10)||
'      l_value_found := true;'||chr(10)||
'    end if;'||chr(10)||
'    if l_is_selected'||chr(10)||
'    then'||chr(10)||
'      l_checked_string := '' checked="checked"'';'||chr(10)||
'    else'||chr(10)||
'      l_checked_string := NULL;'||chr(10)||
'    end if;'||chr(10)||
'    htp.prn(''<input type="checkbox" value="''||p_return_value||''"''||l_checked_string||c_cblist_field_style_string||'' /><label''||c_cblist_label_style_string||''>''||p_display_value||''</label><br'||
'/>'');'||chr(10)||
'  end print_cb_option;'||chr(10)||
'begin'||chr(10)||
''||chr(10)||
'  -- During plug-in development it''s very helpful to have some debug information'||chr(10)||
'  if wwv_flow.g_debug then'||chr(10)||
'      apex_plugin_util.debug_page_item ('||chr(10)||
'          p_plugin              => p_plugin,'||chr(10)||
'          p_page_item           => p_item,'||chr(10)||
'          p_value               => p_value,'||chr(10)||
'          p_is_readonly         => FALSE,'||chr(10)||
'          p_is_printer_friendly => FALSE)'||
';'||chr(10)||
'  end if;'||chr(10)||
''||chr(10)||
'  apex_css.add_file ('||chr(10)||
'      p_name      => ''multi_select_checkbox_list'','||chr(10)||
'      p_directory => p_plugin.file_prefix,'||chr(10)||
'      p_version   => null );'||chr(10)||
'  apex_javascript.add_library ('||chr(10)||
'      p_name      => ''multi_select_checkbox_list'','||chr(10)||
'      p_directory => p_plugin.file_prefix,'||chr(10)||
'      p_version   => null );'||chr(10)||
''||chr(10)||
'  -- get all values'||chr(10)||
'  l_column_value_list := apex_plugin_util.get_data ('||chr(10)||
'             '||
'                p_sql_statement      => p_item.lov_definition,'||chr(10)||
'                             p_min_columns        => 2,'||chr(10)||
'                             p_max_columns        => 2,'||chr(10)||
'                             p_component_name     => p_item.name );'||chr(10)||
''||chr(10)||
''||chr(10)||
'  -- check if used for the first time'||chr(10)||
'  if p_value is null and NVL(c_enable_all_default_string, ''N'') = ''Y'' then'||chr(10)||
'    l_value := init_retval;'||chr(10)||
'  end if;'||chr(10)||
'   '||chr(10)||
' '||
' -- check if "All" is selected'||chr(10)||
'  if substr(l_value, 1, 2) = c_all_selected'||chr(10)||
'  then'||chr(10)||
'    l_all_found := true;'||chr(10)||
'  end if;'||chr(10)||
''||chr(10)||
'  -- if "All" found mark as "checked"'||chr(10)||
'  if l_all_found then'||chr(10)||
'    l_checked_string := '' checked="checked"'';'||chr(10)||
'  else'||chr(10)||
'    l_checked_string := NULL;'||chr(10)||
'  end if;'||chr(10)||
''||chr(10)||
'  htp.prn(''<fieldset class="multi_checkbox_group" id="fs_''||p_item.name||''"''||c_fieldset_style_string||''>'');'||chr(10)||
'  l_name := apex_pl'||
'ugin.get_input_name_for_page_item(false);'||chr(10)||
'  htp.prn(''  <input type="hidden" name="''||l_name||''" id="''||p_item.name||''" value="''||l_value||''" />'');'||chr(10)||
'  htp.prn(''  <input type="checkbox"''||l_checked_string||'' value="''||c_all_selected||''" class="cball_''||p_item.name||''" onchange="handleOnChangeCBAll(''''''||p_item.name||'''''');"''||c_allcb_field_style_string||'' /><label''||c_allcb_label_style_string||''>All</l'||
'abel>'');'||chr(10)||
'  if l_additional_label_between is not null then'||chr(10)||
'    htp.prn(''  <br /><span class="multi_checkbox_add_label"''||c_add_label_style_string||''>''||l_additional_label_between||''</span>'');'||chr(10)||
'  end if;'||chr(10)||
'  htp.prn(''  <div class="multi_checkbox_div" id="msl_''||p_item.name||''" onclick="handleOnClickList(''''''||p_item.name||'''''');"''||c_div_style_string||''>'');'||chr(10)||
''||chr(10)||
'  -- add display null entry'||chr(10)||
'  if p_item.lov_di'||
'splay_null then'||chr(10)||
'      wwv_flow_utilities.add_null_value_entry(''ITEM'', l_name, p_item.lov_null_value);'||chr(10)||
'      -- add list entry'||chr(10)||
'      print_cb_option ('||chr(10)||
'              p_item_name=>p_item.name,'||chr(10)||
'              p_display_value => p_item.lov_null_text,'||chr(10)||
'              p_return_value  => p_item.lov_null_value,'||chr(10)||
'              p_compare_value_list => nvl(l_value, p_item.lov_null_value) );'||chr(10)||
'  end if;'||chr(10)||
''||chr(10)||
'  -- loop t'||
'hrough resultset'||chr(10)||
'  for i in 1 .. l_column_value_list(c_display_column).count'||chr(10)||
'  loop'||chr(10)||
'    print_cb_option'||chr(10)||
'        (p_item_name=>p_item.name'||chr(10)||
'        ,p_display_value=>l_column_value_list(c_display_column)(i)'||chr(10)||
'        ,p_return_value=>l_column_value_list(c_return_column)(i)'||chr(10)||
'        ,p_compare_value_list=>l_value);'||chr(10)||
'  end loop;'||chr(10)||
''||chr(10)||
'  -- Show at least the value if it hasn''t been found in the database'||chr(10)||
'  if no'||
't l_value_found and l_value is not null and p_item.lov_display_extra then'||chr(10)||
'      print_cb_option ('||chr(10)||
'          p_item_name=>p_item.name,'||chr(10)||
'          p_display_value => l_value,'||chr(10)||
'          p_return_value  => l_value,'||chr(10)||
'          p_compare_value_list => l_value );'||chr(10)||
'  end if;'||chr(10)||
''||chr(10)||
'  htp.prn(''  </div>'');'||chr(10)||
'  htp.prn(''</fieldset>'');'||chr(10)||
''||chr(10)||
'  if wwv_flow.g_debug then'||chr(10)||
'    htp.prn(''<button type="button" id="btn" onclick="get_'||
'checkbox_values(''''''||p_item.name||'''''');">Get checkbox values</button>'');'||chr(10)||
'  end if;'||chr(10)||
''||chr(10)||
'  l_result.is_navigable := true;'||chr(10)||
''||chr(10)||
'  return l_result;'||chr(10)||
'end render_multi_select_cb_list;'||chr(10)||
''
 ,p_render_function => 'render_multi_select_cb_list'
 ,p_standard_attributes => 'VISIBLE:SESSION_STATE:SOURCE:ELEMENT:WIDTH:HEIGHT:ELEMENT_OPTION:LOV:LOV_REQUIRED'
 ,p_sql_min_column_count => 2
 ,p_sql_max_column_count => 2
 ,p_sql_examples => '<pre>'||chr(10)||
'select e.ename as d,'||chr(10)||
'       e.empno as r'||chr(10)||
'  from emp e'||chr(10)||
' order by 1'||chr(10)||
'</pre>'
 ,p_version_identifier => '1.0'
 ,p_about_url => 'http://apextipps.wordpress.com'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2977923988577057 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Select-List Value-Delimiter'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => ':'
 ,p_display_length => 5
 ,p_max_length => 5
 ,p_is_translatable => false
 ,p_help_text => 'Enter a character or a string that is used to split the values in the Item-Value-List.'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2978410398592032 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'Style for Fieldset'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 50
 ,p_max_length => 1000
 ,p_is_translatable => false
 ,p_help_text => '<strong>Style for Fieldset</strong><br />'||chr(10)||
'Define additional styles for the fieldset object as part of the multi-select-checkbox-list.<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Note!</strong><br />'||chr(10)||
'Please use only valid CSS-Style properties (more information at <a href="http://de.selfhtml.org/css/eigenschaften/index.htm">selfhtml.org</a>).<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Example</strong><br />'||chr(10)||
'color:red;border:none;'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2978928060597147 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 3
 ,p_display_sequence => 30
 ,p_prompt => 'Style for "All"-checkbox field'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 50
 ,p_max_length => 1000
 ,p_is_translatable => false
 ,p_help_text => '<strong>Style for "All"-checkbox field</strong><br />'||chr(10)||
'Define additional styles for the "All"-checkbox object as part of the multi-select-checkbox-list.<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Note!</strong><br />'||chr(10)||
'Please use only valid CSS-Style properties (more information at <a href="http://de.selfhtml.org/css/eigenschaften/index.htm">selfhtml.org</a>).<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Example</strong><br />'||chr(10)||
'color:red;border:none;'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2979406027600266 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 4
 ,p_display_sequence => 40
 ,p_prompt => 'Style for "All"-checkbox Label'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 50
 ,p_max_length => 1000
 ,p_is_translatable => false
 ,p_help_text => '<strong>Style for "All"-checkbox Label</strong><br />'||chr(10)||
'Define additional styles for the "All"-checkbox label object as part of the multi-select-checkbox-list.<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Note!</strong><br />'||chr(10)||
'Please use only valid CSS-Style properties (more information at <a href="http://de.selfhtml.org/css/eigenschaften/index.htm">selfhtml.org</a>).<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Example</strong><br />'||chr(10)||
'color:red;border:none;'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2979915378602969 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 5
 ,p_display_sequence => 50
 ,p_prompt => 'Style for div-object'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 50
 ,p_max_length => 1000
 ,p_is_translatable => false
 ,p_help_text => '<strong>Style for div-object</strong><br />'||chr(10)||
'Define additional styles for the div-object as part of the multi-select-checkbox-list.<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Note!</strong><br />'||chr(10)||
'Please use only valid CSS-Style properties (more information at <a href="http://de.selfhtml.org/css/eigenschaften/index.htm">selfhtml.org</a>).<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Example</strong><br />'||chr(10)||
'color:red;border:none;'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2980430269607245 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 6
 ,p_display_sequence => 60
 ,p_prompt => 'Style for checkbox (List)'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 50
 ,p_max_length => 1000
 ,p_is_translatable => false
 ,p_help_text => '<strong>Style for checkbox (List)</strong><br />'||chr(10)||
'Define additional styles for the checkbox-objects of the multi-select-checkbox-list.<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Note!</strong><br />'||chr(10)||
'Please use only valid CSS-Style properties (more information at <a href="http://de.selfhtml.org/css/eigenschaften/index.htm">selfhtml.org</a>).<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Example</strong><br />'||chr(10)||
'color:red;border:none;'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2980907890610248 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 7
 ,p_display_sequence => 70
 ,p_prompt => 'Style for checkbox-Label (List)'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 50
 ,p_max_length => 1000
 ,p_is_translatable => false
 ,p_help_text => '<strong>Style for checkbox-Label (List)</strong><br />'||chr(10)||
'Define additional styles for the checkbox-labels of the multi-select-checkbox-list.<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Note!</strong><br />'||chr(10)||
'Please use only valid CSS-Style properties (more information at <a href="http://de.selfhtml.org/css/eigenschaften/index.htm">selfhtml.org</a>).<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Example</strong><br />'||chr(10)||
'color:red;border:none;'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2998917217217044 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 8
 ,p_display_sequence => 5
 ,p_prompt => 'Additional Label'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 50
 ,p_max_length => 100
 ,p_is_translatable => false
 ,p_help_text => '<strong>Additional Label</strong>'||chr(10)||
'Enter an additional label string to display between "All"-selector and list-item.'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 2999627737229574 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 9
 ,p_display_sequence => 80
 ,p_prompt => 'Style additional Label'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 50
 ,p_max_length => 1000
 ,p_is_translatable => false
 ,p_help_text => '<strong>Style additional label</strong><br />'||chr(10)||
'Define an html-style to display the additional label between "All"-selector and list-item.<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Note!</strong><br />'||chr(10)||
'Please use only valid CSS-Style properties (more information at <a href="http://de.selfhtml.org/css/eigenschaften/index.htm">selfhtml.org</a>).<br />'||chr(10)||
'<br />'||chr(10)||
'<strong>Example</strong><br />'||chr(10)||
'color:red;border:none;'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 3014529804854632 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 10
 ,p_display_sequence => 1
 ,p_prompt => 'Enable "All"-Selector as default'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'N'
 ,p_is_translatable => false
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0D0A202A206576656E742D68616E646C657220666F72206F6E2D6368616E6765206576656E74206F6E20636865636B626F782022416C6C220D0A202A2F0D0A66756E6374696F6E2068616E646C654F6E4368616E67654342416C6C28704170657849';
wwv_flow_api.g_varchar2_table(2) := '74656D4E616D6529207B0D0A20202F2F20616C657274282268616E646C654F6E4368616E67654342416C6C2E206E616D65203C222B70417065784974656D4E616D652B223E22293B0D0A2020766172206362416C6C4F626A203D202428222E6362616C6C';
wwv_flow_api.g_varchar2_table(3) := '5F222B70417065784974656D4E616D65293B0D0A20206966286362416C6C4F626A3D3D756E646566696E6564207C7C206362416C6C4F626A3D3D6E756C6C29207B0D0A20202020616C6572742822636865636B626F78203C6362616C6C5F222B70417065';
wwv_flow_api.g_varchar2_table(4) := '784974656D4E616D652B223E20697320756E646566696E65642122293B0D0A2020202072657475726E3B0D0A20207D0D0A20200D0A202076617220636256616C203D206362416C6C4F626A2E617474722822636865636B656422293B0D0A20202F2F2061';
wwv_flow_api.g_varchar2_table(5) := '6C657274282276616C3D222B636256616C293B0D0A2020766172206D736C4F626A3D242822236D736C5F222B70417065784974656D4E616D65293B0D0A20206966286D736C4F626A3D3D756E646566696E6564207C7C206D736C4F626A3D3D6E756C6C29';
wwv_flow_api.g_varchar2_table(6) := '207B0D0A20202020616C65727428226D756C74692D73656C6563742D6C697374203C6D736C5F222B70417065784974656D4E616D652B223E20697320756E646566696E65642122293B0D0A2020202072657475726E3B0D0A20207D0D0A20200D0A202076';
wwv_flow_api.g_varchar2_table(7) := '6172207363726F6C6C506F733D6D736C4F626A2E7363726F6C6C546F7028293B0D0A20202F2F20616C65727428227363726F6C6C506F733D222B7363726F6C6C506F732B222076616C203C222B6D736C4F626A2E617474722822696422292B223E206362';
wwv_flow_api.g_varchar2_table(8) := '203C222B6362416C6C4F626A2E617474722822696422292B223E22293B0D0A2020696628636256616C3D3D7472756529207B0D0A202020202F2F2024282223222B6D736C4F626A2E617474722822696422292B22203E20696E7075745B747970653D6368';
wwv_flow_api.g_varchar2_table(9) := '65636B626F785D22292E617474722822636865636B6564222C2074727565293B0D0A202020206D736C4F626A2E6368696C6472656E28225B747970653D636865636B626F785D22292E617474722822636865636B6564222C2074727565293B0D0A20207D';
wwv_flow_api.g_varchar2_table(10) := '20656C7365207B0D0A202020202F2F2024282223222B6D736C4F626A2E617474722822696422292B22203E20696E7075745B747970653D636865636B626F785D22292E617474722822636865636B6564222C2066616C7365293B0D0A202020206D736C4F';
wwv_flow_api.g_varchar2_table(11) := '626A2E6368696C6472656E2822696E7075745B747970653D636865636B626F785D22292E617474722822636865636B6564222C2066616C7365293B0D0A20207D0D0A20206D736C4F626A2E7363726F6C6C546F70287363726F6C6C506F73293B0D0A2020';
wwv_flow_api.g_varchar2_table(12) := '0D0A20202F2F2072652D63616C63756C6174652072657475726E2D76616C7565206C6973740D0A20202F2F204E4F5445210D0A20202F2F2069662022416C6C222069732073656C65637465642C2073657420222D39222061742074686520626567696E6E';
wwv_flow_api.g_varchar2_table(13) := '696E67206F66207468652072657475726E2D737472696E672E0D0A20207661722076616C203D206E756C6C3B0D0A2020696628636256616C29207B0D0A2020202076616C203D20222D39223B0D0A20207D0D0A202069662876616C213D6E756C6C29207B';
wwv_flow_api.g_varchar2_table(14) := '0D0A2020202076616C203D2076616C202B20223A22202B206D736C4F626A2E6368696C6472656E2822696E7075743A636865636B656422292E6D61702866756E6374696F6E2829207B2072657475726E20242874686973292E76616C28293B207D292E67';
wwv_flow_api.g_varchar2_table(15) := '657428292E6A6F696E28223A22293B0D0A20207D20656C7365207B0D0A2020202076616C203D206D736C4F626A2E6368696C6472656E2822696E7075743A636865636B656422292E6D61702866756E6374696F6E2829207B2072657475726E2024287468';
wwv_flow_api.g_varchar2_table(16) := '6973292E76616C28293B207D292E67657428292E6A6F696E28223A22293B0D0A20207D0D0A2020766172207265744F626A203D2024282223222B70417065784974656D4E616D65293B0D0A20206966287265744F626A3D3D756E646566696E6564207C7C';
wwv_flow_api.g_varchar2_table(17) := '207265744F626A3D3D6E756C6C29207B0D0A20202020616C6572742822617065782D6974656D203C222B70417065784974656D4E616D652B223E20697320756E646566696E65642122293B0D0A2020202072657475726E3B0D0A20207D0D0A2020726574';
wwv_flow_api.g_varchar2_table(18) := '4F626A2E76616C2876616C293B0D0A7D0D0A0D0A2F2A0D0A202A206576656E742D68616E646C657220666F72206F6E2D636C69636B206576656E74206F6E206D756C74692D73656C6563742D6C6973740D0A202A2F0D0A66756E6374696F6E2068616E64';
wwv_flow_api.g_varchar2_table(19) := '6C654F6E436C69636B4C6973742870417065784974656D4E616D6529207B0D0A20202F2F20616C657274282268616E646C654F6E436C69636B4C69737420666F72203C222B70417065784974656D4E616D652B223E22293B0D0A20202428222E6362616C';
wwv_flow_api.g_varchar2_table(20) := '6C5F222B70417065784974656D4E616D65292E617474722822636865636B6564222C2066616C7365293B0D0A20200D0A20202F2F2072652D63616C63756C6174652072657475726E2D76616C7565206C6973740D0A20207661722076616C203D20242822';
wwv_flow_api.g_varchar2_table(21) := '236D736C5F222B70417065784974656D4E616D652B22203E20696E7075743A636865636B656422292E6D61702866756E6374696F6E2829207B2072657475726E20242874686973292E76616C28293B207D292E67657428292E6A6F696E28223A22293B0D';
wwv_flow_api.g_varchar2_table(22) := '0A2020766172207265744F626A203D2024282223222B70417065784974656D4E616D65293B0D0A20206966287265744F626A3D3D756E646566696E6564207C7C207265744F626A3D3D6E756C6C29207B0D0A20202020616C6572742822617065782D6974';
wwv_flow_api.g_varchar2_table(23) := '656D203C222B70417065784974656D4E616D652B223E20697320756E646566696E65642122293B0D0A2020202072657475726E3B0D0A20207D0D0A20207265744F626A2E76616C2876616C293B0D0A7D0D0A0D0A2F2A206F6E6C7920666F722074657374';
wwv_flow_api.g_varchar2_table(24) := '202A2F0D0A66756E6374696F6E206765745F636865636B626F785F76616C7565732870417065784974656D4E616D6529207B0D0A20207661722076616C3D24282223222B70417065784974656D4E616D65292E76616C28293B0D0A2020616C6572742822';
wwv_flow_api.g_varchar2_table(25) := '76616C203C222B76616C2B223E22293B0D0A7D0D0A0D0A';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 2994230882306302 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_file_name => 'multi_select_checkbox_list.js'
 ,p_mime_type => 'application/x-javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2E6D756C74695F636865636B626F785F67726F7570207B0D0A2020626F726465723A6E6F6E653B0D0A202070616464696E673A302E32656D3B0D0A7D0D0A2E6D756C74695F636865636B626F785F646976207B0D0A2020626F726465723A32707820696E';
wwv_flow_api.g_varchar2_table(2) := '73657420677265793B0D0A20206865696768743A38656D3B0D0A20206F766572666C6F772D783A68696464656E3B0D0A20206F766572666C6F772D793A7363726F6C6C3B0D0A202077686974652D73706163653A6E6F777261703B0D0A20207769647468';
wwv_flow_api.g_varchar2_table(3) := '3A3132656D3B0D0A20206D617267696E3A302E35656D20303B0D0A7D0D0A2E6D756C74695F636865636B626F785F6164645F6C6162656C207B0D0A2020646973706C61793A626C6F636B3B0D0A2020666F6E742D7765696768743A626F6C643B0D0A2020';
wwv_flow_api.g_varchar2_table(4) := '6D617267696E3A302E35656D20302E33656D3B0D0A7D0D0A';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 3013212283439138 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 2976010090194565 + wwv_flow_api.g_id_offset
 ,p_file_name => 'multi_select_checkbox_list.css'
 ,p_mime_type => 'text/css'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

commit;
begin 
execute immediate 'begin dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
prompt  ...done
